Subject: Re: [PATCH 7/7] lzlib: 'lzread!' never returns more than it was asked for.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 26 May 2019 21:54:50 +0200

Pierre Neidhardt <[email-masked]> skribis:

>> Fixes a bug whereby 'lzread!' could return more than COUNT.
>
> Hmm... But why is this a bug?

Because then the ‘read!’ method of the custom binary input port could
return more than ‘count’, which is understandably not permitted.

> (By the way, nice rewrite, I like it much better than my C->Scheme
> translation ;p)

Heheh, I initially tried to minimize changes but I found it easier to
reason about this version.

Ludo’.